<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.business.mapper.ZccmCourseChapterTagMapper">

    <resultMap type="zccmcourseChapterTag" id="CourseChapterTagMap">
        <result property="tagId" column="tag_id" jdbcType="INTEGER"/>
        <result property="tagName" column="tag_name" jdbcType="VARCHAR"/>
        <result property="tagIndex" column="tag_index" jdbcType="INTEGER"/>
        <result property="chapterId" column="chapter_id" jdbcType="INTEGER"/>
        <result property="teacherName" column="teacher_name" jdbcType="VARCHAR"/>
        <result property="courseId" column="course_id" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        tag_id,
           tag_name,
           tag_index,
           chapter_id,
           teacher_name,
           course_id
    </sql>

</mapper>